Summary:	View free disk space
Name:		kdf
Version:	17.08.2
Release:	1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://utils.kde.org/projects/kdf
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
Conflicts:	kde5-l10n < 17.04

%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files -f %{name}.lang
%{_kde5_bindir}/kdf
%{_kde5_bindir}/kwikdisk
#{_kde5_docdir}/HTML/*/kdf
#{_kde5_docdir}/HTML/*/kcontrol/blockdevices
%{_kde5_iconsdir}/*/*/apps/kcmdf.*
%{_kde5_iconsdir}/*/*/apps/kdf.*
%{_kde5_iconsdir}/*/*/apps/kwikdisk.*
%{_kde5_applicationsdir}/org.kde.kdf.desktop
%{_kde5_applicationsdir}/org.kde.kwikdisk.desktop
%{_kde5_services}/kcmdf.desktop
%{_kde5_xmlguidir}/kdf/kdfui.rc
%{_qt5_plugindir}/libkcm_kdf.so

#----------------------------------------------------------------------------

%define kdfprivate_major 17
%define libkdfprivate %mklibname kdfprivate %{kdfprivate_major}

%package -n %{libkdfprivate}
Summary:	KDF shared library
Group:		System/Libraries

%description -n %{libkdfprivate}
KDF shared library.

%files -n %{libkdfprivate}
%{_kde5_libdir}/libkdfprivate.so.%{kdfprivate_major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} blockdevices %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (3e20606) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (07fe14a) New version 17.04.3

* Wed Jun 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (14c92ad) Merge locales from kde5-l10n
- (14c92ad) New library major 17
- (Andrey Bondrov: c536187) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (0a53789) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (67e5258) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (dbb5932) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (6cdf0c1) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (8fba091) MassBuild#1212: Increase release tag

* Tue Nov 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (d9965e8) Upload sources
- (Andrey Bondrov: 6514423) New version 16.08.2
- (Andrey Bondrov: 6514423) Switch to KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (7d82a7e) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (1f8acbe) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (93bc725) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (a73b639) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (e826b06) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (d8b7dd0) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (f5469f1) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (ffb0e0f) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (7c9809a) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (d6f4ce9) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (0f5c5e3) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (91feee6) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (c442a8e) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (ba89c82) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (62a3256) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (fd75c1c) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.2-1
- (a5175ad) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.1-1
- (8b44661) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.0-1
- (70eccc7) New version 4.9.0


